Folks.EmailDetails – folks Reference Manual

# EmailDetails

## Object Hierarchy:

## Description:

public interface EmailDetails : Object

Interface for classes that have email addresses, such as Persona and Individual.

## Since:

0.3.5

All known implementing classes:

- Individual

Namespace: Folks
Package: folks

## Content:

### Properties:

- public abstract Set<EmailFieldDetails> email_addresses { get; set; }
  The email addresses of the contact.

### Methods:

- public virtual async void change_email_addresses (Set<EmailFieldDetails> email_addresses) throws PropertyError
  Change the contact's set of e-mail addresses.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref